## libmtp 1.0.3

=== debian/changelog ===
libmtp (1.0.3-4) experimental; urgency=low

  * New device: Wyplay Wyplayer 1e53:0007.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Sep 2010 19:18:19 +0200

libmtp (1.0.3-3) experimental; urgency=low

  * Rename, refresh and re-organize patches.
  * debian/patches/01-devices_small_fixes.patch:
    - Fix Blackberry's name.
    - Fix Sony DCR-SR75 device ID.
    - Add flag to mark Samsung M7600 Beat/GT-S8300T as unable to read
      the battery status.
    - Add DEVICE_FLAG_BROKEN_MTPGETOBJPROPLIST flag to LG KM900.
  * New devices now supported:
    - Apple iPhone 05ac:0x1290
    - Apple iPod Touch 1st Gen 05ac:1291
    - Apple iPhone 3G 05ac:0x1292
    - Apple iPod Touch 2nd Gen 05ac:0x1293
    - Apple iPhone 3GS 05ac:0x1294
    - Apple 05ac:1296
    - Apple 05ac:1297
    - Apple 05ac:1298
    - Apple iPod Touch 3rd Gen 05ac:0x1299
    - Apple iPad 05ac:129a
    - SonyEricsson U5 0fce:0133
    - Samsung Galaxy S GT-I9000 04e8:6877
    - Samsung Vibrant SGH-T959 04e8:68a9
    - COBY MP705 1e74:6512
    - Cowon iAudio J3 0e21:0921
    - Motorola Droid X 22b8:41d6
  * debian/patches/03-ogg_flags.patch:
    - Set proper Ogg flags on some Cowon and Samsung devices.
  * debian/patches/04-autoremove_oggflac_unkn_flags.patch:
    - If the Ogg or FLAC filetypes have been flagged as being stored as
      unknown and the device now indicates it supports them then remove
      the flag.

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Sep 2010 21:58:25 +0200

libmtp (1.0.3-2) experimental; urgency=low

  * Install apport package hooks only if system is Ubuntu.
  * Build-Depends on lsb-release.
  * Remove unnecessary DEVICE_FLAG_BROKEN_MTPGETOBJPROPLIST_ALL for
    device Creative ZEN 041E:4157 (Closes: #520961).
  * Add device entry for the device ID 041E:4133 Creative ZEN MicroPhoto;
    Closes: #594560; LP: #537386
  * mtp-connect should not return exit status 0 regardless if the
    connect was successful; Closes: #594565, LP: #620814
  * Update series file.
  * Purge ancient /etc/udev/rules.d/65-libmtp.rules conffile; LP: #506791.
  * Remove broken link /etc/udev/rules.d/libmtp7.rules, libmtp7
    leftover.
  * debian/control{,.in}:
    - Change my email address.
    - Bump Standards.
    - Remove DM-Upload-Allowed: yes.
  * Add debian/gbp.conf file.
  * Add .gitignore file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 Aug 2010 14:21:06 +0200

libmtp (1.0.3-1) unstable; urgency=low

  * debian/copyright: Update according to DEP-5 proposal.
  * Add apport package hook to reduce delta with Ubuntu.
  * New upstream release:
    - Don't probe HID equipment for device "OS descriptors"
      some Kensington mice really don't like that (LP: #559892).
  * Switch to debian 3.0 (quilt) source format.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 25 May 2010 08:22:17 +0200

libmtp (1.0.2-3) unstable; urgency=low

  * Provide a -dbg package (Closes: #576966).
  * Remove libtool .la file.
  * Bump cdbs level.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 16 Apr 2010 01:18:17 +0200

libmtp (1.0.2-2) unstable; urgency=medium

  * Bump Standards.
  * Sync controls files.
  * debian/libmtp.preinst.in: Replace '\s' with '\ ' when retrieving
    libmtp* package list (Closes: #568189).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 20 Feb 2010 20:45:08 +0100

libmtp (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file.
  * Set DMUA to yes.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 04 Feb 2010 16:34:58 +0100

libmtp (1.0.1-2) unstable; urgency=low

  * Correct mtp-tools links (Closes: #564839).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 12 Jan 2010 15:29:50 +0100

libmtp (1.0.1-1) unstable; urgency=low

  [ Savvas Radevic ]
  * debian/libmtp.postinst.in: Remove broken symlink 
    /etc/udev/rules.d/libmtp.rules (Closes: #531538)
  * debian/libmtp.preinst.in: Remove /etc/udev/libmtp.rules file only when 
    libmtp5 and libmtp6 (<< 0.2.1-2) are *not* installed.
  * debian/libmtp.{pre,post}inst.in: Replaced tabs with 4 spaces.
  * Added debian/README.Source to make things a bit more sane.

  [ Alessio Treglia ]
  * Adopting this (Closes: #560098).
  * New upstream release (Closes: #543533).
  * Bump Standards-Version to 3.8.3.
  * Register the developer reference with doc-base.
  * Update debian/copyright (also according to Debian DEP-5 proposal).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 08 Jan 2010 10:24:21 +0100

libmtp (0.3.7-7) unstable; urgency=low

  * debian/libmtp.postinst.in: Fix syntax error in logical expression
    (closes: #527550)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 08 May 2009 07:22:24 +0200

libmtp (0.3.7-6) unstable; urgency=low

  * The package is now maintained through the collab-maint group at Alioth
  * debian/control:
    + (Maintainer) Set to the rafael-libmtp mailing list
    + (Vcs-Git, Vcs-Browser) Adjust to collab-maint
    + (Uploaders) Add myself and Savvas Radevic

  * debian/libmtp.postinst.in: Do safeguard tests to avoid the removal of
    file /etc/udev/rules.d/libmtp8.rules that could have been changed by
    the user.  Thanks to Michael Biebl for the suggestion and the
    discussion.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 May 2009 16:39:34 +0200

libmtp (0.3.7-5) unstable; urgency=low

  * debian/libmtp.postinst.in: Remove broken link in /etc/udev/rules.d
    introduced in the previous version of the package, thanks to Savvas
    Radevic (closes: #527206)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 06 May 2009 15:32:34 +0200

libmtp (0.3.7-4) unstable; urgency=low

  [ Savvas Radevic ]
  * Use proper udev rules folder and not a link (closes: Bug#527108).
    Changes are taken from Ubuntu and based on patches by Flávio Martins,
    Martin Pitt and Scott James Remnant.
  * debian/control: Add Breaks to ensure the right udev version gets used.
  * debian/libmtp.install.in, debian/libmtp.preinst.in,

