=== debian/control ===
Source: libmtp
Section: libs
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: libusb-dev,
 doxygen,
 debhelper (>= 5),
 cdbs (>= 0.4.37),
 dpkg-dev (>= 1.13.19),
 xsltproc,
 docbook-xsl,
 lsb-release,
 chrpath
Standards-Version: 3.9.1
Homepage: http://libmtp.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/libmtp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libmtp.git

Package: libmtp8
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: ${udev}
Breaks: udev (<< 0.136-1)
Description: Media Transfer Protocol (MTP) library
 libmtp is a library for communicating with MTP aware devices in POSIX
 compliant operating systems.  It implements MTP Basic, the subset
 proposed for standardization.
 .
 The Media Transfer Protocol (commonly referred to as MTP) is a devised
 set of custom extensions to support the transfer of music files on
 USB digital audio players and movie files on USB portable media players.

Package: libmtp-dev
Section: libdevel
Architecture: any
Depends: libmtp8 (= ${binary:Version}),
 libusb-dev (>> 0.1.7),
 ${misc:Depends}
Description: Media Transfer Protocol (MTP) development files
 libmtp is a library for communicating with MTP aware devices in POSIX
 compliant operating systems.  It implements MTP Basic, the subset
 proposed for standardization.
 .
 The Media Transfer Protocol (commonly referred to as MTP) is a devised
 set of custom extensions to support the transfer of music files on
 USB digital audio players and movie files on USB portable media players.
 .
 This package contains the headers and development libraries.

Package: libmtp-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmtp8 (= ${binary:Version}),
 mtp-tools (= ${binary:Version}),
 ${misc:Depends}
Description: Media Transfer Protocol (MTP) debugging symbols
 libmtp is a library for communicating with MTP aware devices in POSIX
 compliant operating systems.  It implements MTP Basic, the subset
 proposed for standardization.
 .
 The Media Transfer Protocol (commonly referred to as MTP) is a devised
 set of custom extensions to support the transfer of music files on
 USB digital audio players and movie files on USB portable media players.
 .
 This package contains the debugging symbols.

Package: libmtp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Media Transfer Protocol (MTP) library documentation
 libmtp is a library for communicating with MTP aware devices in POSIX
 compliant operating systems.  It implements MTP Basic, the subset
 proposed for standardization.
 .
 The Media Transfer Protocol (commonly referred to as MTP) is a devised
 set of custom extensions to support the transfer of music files on
 USB digital audio players and movie files on USB portable media players.
 .
 This package contains the development documentation.

Package: mtp-tools
Section: utils
Architecture: any
Depends: libmtp8 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Media Transfer Protocol (MTP) library tools
 libmtp is a library for communicating with MTP aware devices in POSIX
 compliant operating systems.  It implements MTP Basic, the subset
 proposed for standardization.
 .
 The Media Transfer Protocol (commonly referred to as MTP) is a devised
 set of custom extensions to support the transfer of music files on
 USB digital audio players and movie files on USB portable media players.
 .
 This package contains tools for communicating with MTP devices.
