## libmtp 1.0.6

=== debian/changelog ===
libmtp (1.0.6-2) unstable; urgency=low

  * Add support for new devices:
    - Motorola Xoom (two models).
    - Samsung YP-Q3.
    - Nokia E7 (LP: #738185).

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Mar 2011 14:03:16 +0100

libmtp (1.0.6-1) unstable; urgency=low

  * New upstream release:
    - Fix probe code, hopefully MTP devices are now properly detected.
    - Fix an older iconv.m4 and other stuff needed for Solaris builds.
    - Some new devices and minor bug fixes.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Feb 2011 20:45:39 +0100

libmtp (1.0.5-2) unstable; urgency=low

  * 1002-udev_rules.patch:
    - Adapt upstream udev rules file to Debian standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Feb 2011 19:19:27 +0100

libmtp (1.0.5-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release:
    - soname libmtp.so.8.3.5
    - several fixes from Denis Dupeyron to ease work for maintainers:
      + ./configure --enable-doxygen: make Doxygen doc generation optional.
      + ./configure --with-udev=DIR: select a dir for udev.
      + ./configure --with-udev-rules=NAME: select name of udev rules file.
    - several mtp-probe fixes for udev use, now we only probe:
      + Devices that are of known classes to conatin MTP extensions:
        COMM, PTP, CUSTOM and per-interface.
      + Unless the device is CUSTOM, it needs to contain atleast one
        CUSTOM interface.
      + Clear halt on EP 0 after probe if it fails with error.
      + Stop accepting *all* PTP devices as MTP, this is confusing.
    - Minor fixes and new devices.
  * Don't build,install static libraries.
  * Pass --enable-doxygen to the configure script.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Feb 2011 10:43:52 +0100

libmtp (1.0.4-2) experimental; urgency=low

  * Add patch to prevent FTBFS on kfreebsd architectures.

 -- Alessio Treglia <alessio@debian.org>  Sat, 15 Jan 2011 14:09:41 +0100

libmtp (1.0.4-1) experimental; urgency=low

  * New upstream release.
  * Update debian/gbp.conf
  * Drop all patches, applied upstream.
  * Update symbols file
  * Pass -Wl,--as-needed to the linker.

 -- Alessio Treglia <alessio@debian.org>  Sat, 15 Jan 2011 11:20:54 +0100

libmtp (1.0.3-6) experimental; urgency=low

  * New devices:
    - Nokia 2710 0421:02c1.
    - Nokia 5230 0421:02e2.
    - SanDisk Sansa Fuze+ 0781:74e0
    - Sony Walkman NWZ-B153F 054c:04be
    - Sony Walkman NWZ-E354 054c:04cb
  * Take patch from upstream trunk:
    - examples/hotplug.c: Set ENV{ID_MEDIA_PLAYER}="1" to allow userspace
      programs to retrieve information about plugged-in device via udev.
      Thanks to Martin Pitt for reporting this.
  * Refresh remaining patches.
  * Set libmtp-dev Architecture to 'all', regenerate debian/control.
  * Remove static libraries from the -DEV binary.

 -- Alessio Treglia <alessio@debian.org>  Sat, 27 Nov 2010 09:50:44 +0100

libmtp (1.0.3-5) experimental; urgency=low

  * New device: iRiver T5 4102:1153
  * Update symbols.

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Nov 2010 11:12:22 +0100
