=== debian/control ===
--- 
+++ 
@@ -33,8 +33,9 @@
 
 Package: libmtp-dev
 Section: libdevel
-Architecture: any
-Depends: libmtp8 (= ${binary:Version}),
+Architecture: all
+Depends: libmtp8 (>= ${source:Version}),
+ libmtp8 (<< ${source:Upstream-Version}+1~),
  libusb-dev (>> 0.1.7),
  ${misc:Depends}
 Description: Media Transfer Protocol (MTP) development files
