=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+LDFLAGS+=-Wl,--as-needed
+
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-doxygen \
+ --enable-static=no
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP = xsltproc -''-nonet
@@ -38,9 +42,6 @@
 		../../../debian/sanitize-manpage.pl < $$i > mtp_$$i ;	\
 	  done )
 
-binary-install/libmtp-dev::
-	rm -f debian/libmtp-dev/usr/lib/libmtp.la
-
 binary-install/libmtp$(SOVERSION)::
 	if [ ${DISTRIBUTION} = 'Ubuntu' ]; then \
 		mkdir -p $(debdir)/libmtp$(SOVERSION)/usr/share/apport/package-hooks/ ;\
@@ -51,9 +52,6 @@
 build/libmtp$(SOVERSION)::
 	# Fix mode of udev lifting script
 	chmod +x libmtp.sh
-	# Adapt upstream udev rules file to Debian standards
-	perl -pi -e 's/MODE.*/MODE="660", GROUP="audio"/ if /MODE/' \
-		libmtp.rules
 	# Rename udev files
 	for f in $(UDEVFILES) ; do				\
 		cp libmtp.$${f#*.} $$f ;			\
