## libmtp 1.1.0

=== debian/changelog ===
libmtp (1.1.0-3ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Temporarily let libmtp-common Replace libmtp9, this can be dropped
      once Oneiric is released.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 09 Aug 2011 14:48:40 +0200

libmtp (1.1.0-3) experimental; urgency=low

  * Patches taken from upstream's git:
    - Add another Xoom variant.
    - Add new GoGear device.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Aug 2011 14:38:54 +0200

libmtp (1.1.0-2) experimental; urgency=low

  [ Alessio Treglia ]
  * debian/copyright:
    - Credits to Sense Hofstede for the apport script.
    - Fix formatting to comply with DEP-5 svn r174.
  * debian/patches/0001-new_devices.patch
    - New device: Google Xoom 18d1:70a8 (LP: #793064)

  [ Loïc Minier ]
  * Let libmtpN replace libmtp8; LP: #802441
  * Move apport hook to libmtp-common. Shipping the apport hook in
    libmtp-common instead of libmtpN avoids the need for Replaces in
    the future; thanks Michael Vogt.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Jun 2011 09:42:56 +0200

libmtp (1.1.0-1) experimental; urgency=low

  * New upstream release:
    - Soname libmtp.so.9.0.0 - new ABI:
      + New state fields are added in an exposed public struct. Programs need
        to be recompiled and relinked against the new libmtp but then they
        should work.
    - New interfaces:
      + LIBMTP_Open_Raw_Device_Uncached()
      + LIBMTP_Get_Files_And_Folders()
    - Tentative event interface: LIBMTP_Read_Event
      + Support for some basic device event. It should be polled by a separate
        thread in clients, and we expect to handle most events internally in
        libmtp (such as updating the data cache when objects are added or
        removed) but this thread is required to drive it.
    - Even more careful device probe code in the mtp-probe executable. Some
      distros reported problems with some rouge devices with custom interfaces
      going into endless probe loops. This should now be fixed: we're making
      sure we have exactly the right kind of endpoints before probing.
    - udev rule prio for probe command set to match what comes with stock udev.
    - Probing for IAD (Interface Association Descriptors).
    - A horde of new devices in the database.
  * Delete 0001-new_devices.patch, applied upstream.
  * Refresh 1001-kfreebsd_hurd_ftbfs.patch
  * debian/{control,rules}: Bump SOVERSION to 9.
  * Move libmtp8.symbols to libmtp9.symbols.
  * Update symbols file.
  * udev rules file has been renamed: 45-libmtp.rules -> 39-libmtp.rules.
  * debian/control:
    - Drop ancient udev << 0.136-1 from the libmtp9's Breaks field.
    - libmtp{9,-runtime} depend on libmtp-common.
    - Relax mtp-tools' dependency on libmtp@SONAME@.
  * Update mtp-tools' manpage to document the new mtp-filetree utility.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Jun 2011 10:48:47 +0200

libmtp (1.0.6-7) unstable; urgency=low

  * Move udev,hal files into new 'libmtp-common' package.

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Jun 2011 12:13:54 +0200

libmtp (1.0.6-6) unstable; urgency=low

  * Demote libmtp-runtime to Recommends (Closes: #625976).

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 May 2011 09:59:09 +0200

libmtp (1.0.6-5) unstable; urgency=low

  [ Alessio Treglia ]
  * Promote libmtp-runtime as dependency (for linux-any archs).
  * Drop hardcoded {mv,rm}_conffile in favor of dpkg-maintscript-helper.
    - Add a Pre-Depends: dpkg (>= 1.15.7.2) to libmtp8;
      this could be removed once Ubuntu Lucid reached EOL.
  * debian/libmtp.preinst.in
    - Remove "PART A" since 0.3.7-3 is obsolete for both Debian and Ubuntu.
      + Debian Squeeze provides libmtp 1.0.3-1
      + Ubuntu Lucid provides libmtp higher than 1.0.2-1.
  * Re-generate debian/control.

  [ Pino Toscano ]
  * Remove udev files only in libmbtp$(SOVERSION).install files;
    Closes: #625628

 -- Alessio Treglia <alessio@debian.org>  Fri, 06 May 2011 00:46:02 +0200

libmtp (1.0.6-4) unstable; urgency=low

  [ Pino Toscano ]
  * 1001-kfreebsd_ftbfs.patch: rename to 1001-kfreebsd_hurd_ftbfs.patch,
    and add Hurd.
  * More non-Linux fixes, especially for Hurd: (Closes: #624640)
    - Handle and install the udev .rules file and mtp-probe only on Linux
      architectures.
    - Install the HAL .fdi file (part of the UDEVFILES) on any architecture.

  [ Alessio Treglia ]
  * debian/copyright:
    - Update to DEP-5 rev.174.
    - Group copyright information by licensing.
  * Move mtp-probe into a new libmtp-runtime package to keep the opportunity
    to co-install libmtp8 with future libmtpN packages:
    - Add libmtp-runtime [linux-any] to libmtp8's Recommends field.
    - Add libmtp-runtime [linux-any] to libmtp-dbg's Depends field.
  * Add Enhances: libmtp8 to mtp-tools package's stanza.
  * Re-generate debian/control.
  * Update quilt's series file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 May 2011 20:44:55 +0200

libmtp (1.0.6-3) unstable; urgency=low

  * Install mtp-probe (Closes: #624537).
  * Attempt to fix FTBFS on hurd.
  * Bump Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Fri, 29 Apr 2011 18:24:05 +0200
