=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libmtp
 Section: libs
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: libusb-dev,
  doxygen,
  debhelper (>= 5),
@@ -11,17 +12,19 @@
  docbook-xsl,
  lsb-release,
  chrpath
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://libmtp.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/libmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libmtp.git
 
-Package: libmtp8
+Package: libmtp9
 Architecture: any
 Depends: ${shlibs:Depends},
+ libmtp-common,
  ${misc:Depends}
-Recommends: ${udev}
-Breaks: udev (<< 0.136-1)
+Recommends: ${udev},
+ libmtp-runtime [linux-any]
+Pre-Depends: dpkg (>= 1.15.7.2)
 Description: Media Transfer Protocol (MTP) library
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
@@ -31,11 +34,50 @@
  set of custom extensions to support the transfer of music files on
  USB digital audio players and movie files on USB portable media players.
 
+Package: libmtp-common
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libmtp8 (<= 1.0.6-6)
+Replaces: libmtp8, libmtp9
+Description: Media Transfer Protocol (MTP) common files
+ libmtp is a library for communicating with MTP aware devices in POSIX
+ compliant operating systems.  It implements MTP Basic, the subset
+ proposed for standardization.
+ .
+ The Media Transfer Protocol (commonly referred to as MTP) is a devised
+ set of custom extensions to support the transfer of music files on
+ USB digital audio players and movie files on USB portable media players.
+ .
+ This package provides the udev rules file and the FreeDesktop.org Device
+ Information Files file (used by HAL).
+
+Package: libmtp-runtime
+Architecture: linux-any
+Depends: ${shlibs:Depends},
+ libmtp9 (= ${binary:Version}),
+ libmtp-common,
+ ${misc:Depends}
+Replaces: libmtp8 (= 1.0.6-3)
+Breaks: libmtp8 (= 1.0.6-3)
+Enhances: libmtp9
+Description: Media Transfer Protocol (MTP) runtime tools
+ libmtp is a library for communicating with MTP aware devices in POSIX
+ compliant operating systems.  It implements MTP Basic, the subset
+ proposed for standardization.
+ .
+ The Media Transfer Protocol (commonly referred to as MTP) is a devised
+ set of custom extensions to support the transfer of music files on
+ USB digital audio players and movie files on USB portable media players.
+ .
+ This package provides mtp-probe, a program to probe newly connected
+ device interfaces from userspace to determine if they are MTP devices,
+ used for udev rules.
+
 Package: libmtp-dev
 Section: libdevel
 Architecture: all
-Depends: libmtp8 (>= ${source:Version}),
- libmtp8 (<< ${source:Upstream-Version}+1~),
+Depends: libmtp9 (>= ${source:Version}),
+ libmtp9 (<< ${source:Upstream-Version}+1~),
  libusb-dev (>> 0.1.7),
  ${misc:Depends}
 Description: Media Transfer Protocol (MTP) development files
@@ -53,8 +95,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libmtp8 (= ${binary:Version}),
+Depends: libmtp9 (= ${binary:Version}),
  mtp-tools (= ${binary:Version}),
+ libmtp-runtime (= ${binary:Version}) [linux-any],
  ${misc:Depends}
 Description: Media Transfer Protocol (MTP) debugging symbols
  libmtp is a library for communicating with MTP aware devices in POSIX
@@ -85,9 +128,9 @@
 Package: mtp-tools
 Section: utils
 Architecture: any
-Depends: libmtp8 (= ${binary:Version}),
- ${shlibs:Depends},
+Depends: ${shlibs:Depends},
  ${misc:Depends}
+Enhances: libmtp9
 Description: Media Transfer Protocol (MTP) library tools
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
