=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libmtp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: libusb-dev,
  doxygen,
  debhelper (>= 5),
@@ -38,7 +37,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: libmtp8 (<= 1.0.6-6)
-Replaces: libmtp8, libmtp9
+Replaces: libmtp8
 Description: Media Transfer Protocol (MTP) common files
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
