=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: libusb-dev,
+Build-Depends: debhelper (>= 5),
+ cdbs (>= 0.4.37),
+ chrpath,
+ docbook-xsl,
  doxygen,
- debhelper (>= 5),
- cdbs (>= 0.4.37),
  dpkg-dev (>= 1.13.19),
- xsltproc,
- docbook-xsl,
+ libusb-1.0-0-dev [linux-any],
+ libusb-dev [!linux-any],
  lsb-release,
- chrpath
+ pkg-config,
+ xsltproc
 Standards-Version: 3.9.2
 Homepage: http://libmtp.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/libmtp.git
