## libmtp 1.1.3

=== debian/changelog ===
libmtp (1.1.3-1ubuntu0.1) precise-proposed; urgency=low

  * Add new devices (LP: #1014029):
    - Archos 70it2
    - Nokia C7 (new, previously unknown, ID)
    - Cowon iAudio C2
    - SonyEricsson Xperia MK16i
    - SonyEricsson ST18i Xperia Ray
    - SONY Xperia P
    - Motorola Xoom 2 Media Edition (previously unknown ID)
    - Google Inc (for LG Electronics) P990/Optimus (Cyanogen)
    - Asus TF300 Transformer
    - Vizio VTAB1008
  * Fix flags for Android devices:
    - Motorola Milestone / Verizon Droid
    - Motorola DROID2
    - Motorola Xoom 2 Media Edition

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 16 Jun 2012 12:50:07 +0200

libmtp (1.1.3-1) unstable; urgency=low

  * New upstream bugfix release:
    - Soname libmtp.so.9.0.3 - binary compatible.
    - Probably nailed the bugs in the Samsung Galaxy Tab S2 family
      of devices. Ignacio Martinez helped us fixing this!
    - Build fixes by Alessio Treglia and others.
    - A horde of new devices in the database.
  * Remove patches applied upstream:
    - 0001-broken_object_info.patch
    - 0002-devicedb_updates.patch
    - 2001-pkgconfig_requires.patch
  * Refresh 1001-kfreebsd_hurd_ftbfs.patch.
  * Refresh symbols file.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Apr 2012 08:45:30 +0200

libmtp (1.1.2-4) unstable; urgency=low

  * libmtp requires either libusb or libusb-1.0 to build, but libmtp.pc
    does not update the Requires field accordingly. (Closes: #666713)
  * Build depend on auto{conf,make,tools-dev}.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 01 Apr 2012 12:13:02 +0200

libmtp (1.1.2-3) unstable; urgency=low

  * Port libmtp-dev to Architecture: any.
  * Set libmtp-dev depends on libusb-1.0-0-dev on Linux and on libusb-dev
    on non-linux. Thanks to Aaron for the report! (Closes: #665272)
  * 0001-broken_object_info.patch (taken from upstream git):
    - src/device-flags.h: New DEVICE_FLAG_BROKEN_GET_OBJECT_INFO,
      some devices return bad data on GetObjectInfo.
    - src/ptp.c: Properly handle bad data returned by GetObjectInfo.
  * Several updates to the devices DB (taken from upstream git):
    - Attempt to fix issues with SonyEricsson LT15i (LP: #902962)
    - New devices:
      + Transformer Prime (an unknown version)
      + HP Touchpad
      + Another Acer Iconia Tab
      + Nook Color
      + Sony Tablet S1
      + Sony NWZ-B163F
      + Sony ST15i Xperia Mini
      + Toshiba Thrive
      + NEC FOMA N01A
      + Some Archos devices
    - Consolidate bug flags for many devices.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Mar 2012 11:12:37 +0200
