=== debian/control ===
--- 
+++ 
@@ -3,6 +3,9 @@
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 5),
+ autoconf,
+ automake,
+ autotools-dev,
  cdbs (>= 0.4.37),
  chrpath,
  docbook-xsl,
@@ -13,7 +16,7 @@
  lsb-release,
  pkg-config,
  xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://libmtp.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/libmtp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libmtp.git
@@ -76,10 +79,11 @@
 
 Package: libmtp-dev
 Section: libdevel
-Architecture: all
-Depends: libmtp9 (>= ${source:Version}),
- libmtp9 (<< ${source:Upstream-Version}+1~),
- libusb-dev (>> 0.1.7),
+Architecture: any
+Depends:
+ libmtp9 (= ${binary:Version}),
+ libusb-1.0-0-dev [linux-any],
+ libusb-dev [!linux-any],
  ${misc:Depends}
 Description: Media Transfer Protocol (MTP) development files
  libmtp is a library for communicating with MTP aware devices in POSIX
