=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,12 @@
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP = xsltproc -''-nonet
-SOVERSION = 8
+SOVERSION = 9
 SUBSTFILES = debian/libmtp$(SOVERSION).docs	\
 	debian/libmtp$(SOVERSION).install	\
 	debian/libmtp$(SOVERSION).preinst	\
 	debian/libmtp$(SOVERSION).postinst
-UDEVFILES = 45-libmtp$(SOVERSION).rules 20-libmtp$(SOVERSION).fdi
+UDEVFILES = 20-libmtp$(SOVERSION).fdi
 DISTRIBUTION = $(shell lsb_release -i | cut -f2 -d':')
 
 debdir = $(CURDIR)/debian
@@ -42,14 +42,14 @@
 		../../../debian/sanitize-manpage.pl < $$i > mtp_$$i ;	\
 	  done )
 
-binary-install/libmtp$(SOVERSION)::
+binary-install/libmtp-common::
 	if [ ${DISTRIBUTION} = 'Ubuntu' ]; then \
-		mkdir -p $(debdir)/libmtp$(SOVERSION)/usr/share/apport/package-hooks/ ;\
+		mkdir -p $(debdir)/libmtp-common/usr/share/apport/package-hooks/ ;\
 		install -m 0644 $(debdir)/apport/* \
-			$(debdir)/libmtp$(SOVERSION)/usr/share/apport/package-hooks/ ; \
+			$(debdir)/libmtp-common/usr/share/apport/package-hooks/ ; \
 	fi
 
-build/libmtp$(SOVERSION)::
+build/libmtp-common::
 	# Fix mode of udev lifting script
 	chmod +x libmtp.sh
 	# Rename udev files
