## libmtp 1.1.3-35-g0ece104

=== debian/changelog ===
libmtp (1.1.3-35-g0ece104-5+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * upstream patch to import ptp* from libgphoto2 to fix CVE-2017-9831 and
    CVE-2017-9832

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 17 Jul 2017 14:36:56 -0400

libmtp (1.1.3-35-g0ece104-5) unstable; urgency=low

  * Add support for Google/LG Nexus 4 phones.
    Thanks to Arno Töll for testing the device. (Closes: #700822)

 -- Alessio Treglia <alessio@debian.org>  Sun, 17 Feb 2013 22:37:28 +0000

libmtp (1.1.3-35-g0ece104-4) unstable; urgency=low

  * Blacklist Canon EOS 3D for now as it leads to a SIGSEGV in
    libc. (Closes: #687004)

 -- Alessio Treglia <alessio@debian.org>  Sun, 30 Sep 2012 17:32:59 +0100

libmtp (1.1.3-35-g0ece104-3) unstable; urgency=low

  * Add Sony Tablet P1 support. (Closes: #683637)
    Thanks to Hideki Yamane for the patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 30 Aug 2012 00:32:57 +0200

libmtp (1.1.3-35-g0ece104-2) unstable; urgency=low

  * Device db updates picked from upstream git:
    - New devices:
      + Google Inc (for Samsung) Nexus S
      + Huawei Mediapad (second ID)
      + HTC EVO 4G LTE (second ID)
      + Motorola XT912
      + Sony Xperia P (another ID)
      + Sony Xperia Sola MT27i
      + Toshiba Excite AT300
    - Fix device 2207:0001, it seems multi-branded OEM product.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 11:04:36 +0200

libmtp (1.1.3-35-g0ece104-1) unstable; urgency=low

  * Imported Upstream version 1.1.3-35-g0ece104:
    - Some new players:
      + SonyEricsson SK17i Xperia mini pro
      + SONY Xperia U ST25i
      + Viewpia DR
      + Archos 101 G9 (v2)
      + Asus TF300 Transformer
      + Asus TF101 Eeepad Slider
      + HTC Zopo ZP100
      + HTC EVO 4G LTE
      + Medion Lifetab P9514
    - Fix typo in libmtp.h, VCARD v2 and v3 now properly detected.
    - Blacklist Atmel JTAG programmers.

 -- Alessio Treglia <alessio@debian.org>  Fri, 29 Jun 2012 08:40:07 +0200

libmtp (1.1.3-24-g9aca343-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Thu, 21 Jun 2012 10:44:53 +0200

libmtp (1.1.3-24-g9aca343-2) experimental; urgency=low

  * Add MTPz support.
    - Build-depend on libgcrypt11-dev.

 -- Alessio Treglia <alessio@debian.org>  Sun, 17 Jun 2012 11:41:00 +0200

libmtp (1.1.3-24-g9aca343-1) experimental; urgency=low

  * New upstream snapshot 1.1.3-24-g9aca343.
  * Replace dh-autotools_dev with dh-autoreconf.
    - Build-Depends on dh-autoreconf, gnulib.
    - Install config.rpath by hand.
  * Drop {1001-kfreebsd_hurd_ftbfs,1002-fix_libusb_checks}.patch,
    applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Jun 2012 10:39:41 +0200

libmtp (1.1.3-5) unstable; urgency=low

  * Add MTPz support to provide support for Zune devices:
    - Build-depend on libgcrypt11-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Jun 2012 10:54:29 +0200

libmtp (1.1.3-4) unstable; urgency=low

  * debian/rules:
    - Save origin files _before_ running configure.
    - Fix target deps, regenerate files before configuring the package.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Jun 2012 09:20:22 +0200

libmtp (1.1.3-3) unstable; urgency=low

  * Switch to debhelper 9, this means:
    - I won't have to deal with CDBS anymore.
    - Introduce Multi-Arch support:
      + Some changes to debian/libmtp{,-dev}.install* were needed.
    - Hardening is now enabled by default.
  * Don't build static objects anymore.

 -- Alessio Treglia <alessio@debian.org>  Fri, 15 Jun 2012 12:57:37 +0200

libmtp (1.1.3-2) unstable; urgency=low

  * Install apport files on Debian systems too.
  * Add patch to fix FTBFS on kfreebsd.
    Thanks to Robert Millan for the patch. (Closes: #667081)

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Apr 2012 09:35:36 +0200
