=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 5),
+Build-Depends:
  autoconf,
  automake,
  autotools-dev,
- cdbs (>= 0.4.37),
  chrpath,
+ debhelper (>= 9),
+ dh-autoreconf,
  docbook-xsl,
  doxygen,
  dpkg-dev (>= 1.13.19),
+ gnulib,
+ libgcrypt11-dev,
  libusb-1.0-0-dev [linux-any],
  libusb-dev [!linux-any],
  lsb-release,
@@ -23,12 +26,16 @@
 
 Package: libmtp9
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  libmtp-common,
- ${misc:Depends}
-Recommends: ${udev},
- libmtp-runtime [linux-any]
-Pre-Depends: dpkg (>= 1.15.7.2)
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ libmtp-runtime [linux-any],
+ ${udev}
+Pre-Depends: dpkg (>= 1.15.7.2),
+ ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Media Transfer Protocol (MTP) library
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
@@ -40,9 +47,13 @@
 
 Package: libmtp-common
 Architecture: all
-Depends: ${misc:Depends}
-Breaks: libmtp8 (<= 1.0.6-6)
-Replaces: libmtp8
+Depends:
+ ${misc:Depends}
+Breaks:
+ libmtp8 (<= 1.0.6-6)
+Replaces:
+ libmtp8
+Multi-Arch: foreign
 Description: Media Transfer Protocol (MTP) common files
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
@@ -57,13 +68,17 @@
 
 Package: libmtp-runtime
 Architecture: linux-any
-Depends: ${shlibs:Depends},
+Depends:
+ libmtp-common,
  libmtp9 (= ${binary:Version}),
- libmtp-common,
- ${misc:Depends}
-Replaces: libmtp8 (= 1.0.6-3)
-Breaks: libmtp8 (= 1.0.6-3)
-Enhances: libmtp9
+ ${misc:Depends},
+ ${shlibs:Depends}
+Replaces:
+ libmtp8 (= 1.0.6-3)
+Breaks:
+ libmtp8 (= 1.0.6-3)
+Enhances:
+ libmtp9
 Description: Media Transfer Protocol (MTP) runtime tools
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
@@ -85,6 +100,7 @@
  libusb-1.0-0-dev [linux-any],
  libusb-dev [!linux-any],
  ${misc:Depends}
+Multi-Arch: same
 Description: Media Transfer Protocol (MTP) development files
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
@@ -100,10 +116,10 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libmtp9 (= ${binary:Version}),
- mtp-tools (= ${binary:Version}),
- libmtp-runtime (= ${binary:Version}) [linux-any],
+Depends:
+ libmtp9 (= ${binary:Version}),
  ${misc:Depends}
+Multi-Arch: same
 Description: Media Transfer Protocol (MTP) debugging symbols
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
@@ -118,7 +134,8 @@
 Package: libmtp-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: Media Transfer Protocol (MTP) library documentation
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
@@ -133,9 +150,11 @@
 Package: mtp-tools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Enhances: libmtp9
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Enhances:
+ libmtp9
 Description: Media Transfer Protocol (MTP) library tools
  libmtp is a library for communicating with MTP aware devices in POSIX
  compliant operating systems.  It implements MTP Basic, the subset
