## libmtp 1.1.4

=== debian/changelog ===
libmtp (1.1.4-1) experimental; urgency=low

  * New upstream bugfix release.
  * Remove 0001-devicedb_updates.patch, applied upstream.
  * Remove kfreebsd/hurd's patches, they are no longer needed.
  * Switch dh_autoreconf -> dh_autotools_dev

 -- Alessio Treglia <alessio@debian.org>  Tue, 21 Aug 2012 11:35:12 +0200
