=== debian/control ===
--- 
+++ 
@@ -8,11 +8,9 @@
  autotools-dev,
  chrpath,
  debhelper (>= 9),
- dh-autoreconf,
  docbook-xsl,
  doxygen,
  dpkg-dev (>= 1.13.19),
- gnulib,
  libgcrypt11-dev,
  libusb-1.0-0-dev [linux-any],
  libusb-dev [!linux-any],
