=== debian/rules ===
--- 
+++ 
@@ -32,19 +32,11 @@
 	$(XP) $(DB2MAN) $<
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_autoreconf:
-	cp /usr/share/gnulib/build-aux/config.rpath .
-	dh_autoreconf
-
-override_dh_autoreconf_clean:
-	rm -f config.rpath
-	dh_autoreconf_clean
+	dh $@ --with autotools_dev
 
 override_dh_auto_configure: $(SUBSTFILES) debian/control
 	# Save file modified by configure
-	( test -e src/gphoto2-endian.h-orig -o ! \( -e src/gphoto2-endian.h \) ) \
+	test -e src/gphoto2-endian.h-orig \
 		|| cp src/gphoto2-endian.h src/gphoto2-endian.h-orig
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
