## libmtp 1.1.5-42-g6e96316

=== debian/changelog ===
libmtp (1.1.5-42-g6e96316-1ubuntu1) raring; urgency=low

  * Hard copy config.rpath to avoid build-dep on gnulib.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 15 Feb 2013 20:10:58 +0000

libmtp (1.1.5-42-g6e96316-1) experimental; urgency=low

  * New upstream snapshot:
    - New devices:
      + Philips GoGear Ariaz/97
      + Some Acer's ICONIA tablets.
      + Some Archos' stuff.
      + Nokia Lumia 920
      + Fujitsu's F903iX HIGH-SPEED and STYLISTIC M532.
      + Sony Tablet P1 (and some more from Sony).
      + Motorola XT890
      + Google stuff of course.
      + Some Asus' Eeepad variants.
      + Huawei U8815.
      + ZTE Blade 3.
      + HTC EVO models and some else.
      + Amazon Kindles.
      + Intel Xolo 900.
      + Various unbranded stuff.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Feb 2013 18:18:40 +0000

libmtp (1.1.5-1) experimental; urgency=low

  * New upstream release (LP: #1050498)
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Oct 2012 01:10:33 +0100
